// --------------------------------------------------------------------------------------------------------------------
// <copyright file="AssociateUserResponse.cs" company="Sitecore Corporation">
//   Copyright (c) Sitecore Corporation 1999-2016
// </copyright>
// <summary>
//   The associte user response class.
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace Sitecore.Commerce.DynamicsRetail.TransactionService
{
    using System.Runtime.Serialization;
    using Microsoft.Dynamics.Retail.Ecommerce.Sdk.Services;

    /// <summary>
    /// Associate user response class.
    /// </summary>
    [DataContract]
    public class CreateUserResponse : ServiceResponse
    {
        /// <summary>
        /// The customer account number.
        /// </summary>
        [DataMember]
        public string AccountNumber { get; set; }
    }
}