﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="ProductValidator.cs" company="Sitecore Corporation">
//   Copyright (c) Sitecore Corporation 1999-2016
// </copyright>
// <summary>
//   Product validator class
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace Sitecore.Commerce.DynamicsRetail.TransactionService
{
    using Microsoft.Dynamics.Retail.Ecommerce.Sdk.Core;
    using System.Diagnostics.CodeAnalysis;

    /// <summary>
    ///  Product validator class
    /// </summary>
    [ExcludeFromCodeCoverage]
    public class ProductValidator : IProductValidator
    {
        /// <summary>
        /// Validates the product details.
        /// </summary>
        /// <param name="productDetails">The product details.</param>
        public void ValidateProductDetails(string productDetails)
        {
            // THIS SHOULD BE PROPERLY IMPLEMENTED IF NEEDED
        }
    }
}