﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="ExtendedCreateSalesOrderResponse.cs" company="Sitecore Corporation">
//   Copyright (c) Sitecore Corporation 1999-2016
// </copyright>
// <summary>
//   The create sales order response class.
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace Sitecore.Commerce.DynamicsRetail.TransactionService
{
    using System.Runtime.Serialization;
    using Microsoft.Dynamics.Retail.Ecommerce.Sdk.Core.Models;
    using Microsoft.Dynamics.Retail.Ecommerce.Sdk.Services;

    /// <summary>
    /// Create sales order response class.
    /// </summary>
    [DataContract]
    public class ExtendedCreateSalesOrderResponse : CreateSalesOrderResponse
    {
        /// <summary>
        /// Gets or sets the sales order.
        /// </summary>
        /// <value>
        /// The sales order.
        /// </value>
        [DataMember]
        public SalesOrder SalesOrder { get; set; }
    }
}