﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="LoyaltyCardsResponse.cs" company="Sitecore Corporation">
//   Copyright (c) Sitecore Corporation 1999-2016
// </copyright>
// <summary>
//   The loyalty cards response class.
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace Sitecore.Commerce.DynamicsRetail.TransactionService
{
    using System.Collections.Generic;
    using System.Runtime.Serialization;
    using Microsoft.Dynamics.Retail.Ecommerce.Sdk.Core.Models;
    using Microsoft.Dynamics.Retail.Ecommerce.Sdk.Services;

    /// <summary>
    /// The loyalty cards response class.
    /// </summary>
    [DataContract]
    public class LoyaltyCardsResponse : ServiceResponse
    {
        /// <summary>
        /// Gets or sets the loyalty cards.
        /// </summary>
        /// <value>
        /// The loyalty cards.
        /// </value>
        [DataMember]
        public IEnumerable<LoyaltyCard> LoyaltyCards { get; set; }
    }
}